# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.681   -> 1.682  
#	drivers/base/hotplug.c	1.2     -> 1.3    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/02	greg@kroah.com	1.682
# [PATCH] hotplug: fix for non-pci and usb calls
# 
# clear the environment variables so for busses without callbacks, we can
# successfully call /sbin/hotplug.
# 
# Thanks to patmans@us.ibm.com for finding this bug.
# --------------------------------------------
#
diff -Nru a/drivers/base/hotplug.c b/drivers/base/hotplug.c
--- a/drivers/base/hotplug.c	Wed Oct  2 22:40:07 2002
+++ b/drivers/base/hotplug.c	Wed Oct  2 22:40:07 2002
@@ -62,6 +62,7 @@
 	envp = (char **) kmalloc (NUM_ENVP * sizeof (char *), GFP_KERNEL);
 	if (!envp)
 		return -ENOMEM;
+	memset (envp, 0x00, NUM_ENVP * sizeof (char *));
 
 	buffer = kmalloc (BUFFER_SIZE, GFP_KERNEL);
 	if (!buffer) {
